From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1201044-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 3613F13835A
	for <garchives@archives.gentoo.org>; Sun, 30 Aug 2020 13:48:37 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 11AB8E0891;
	Sun, 30 Aug 2020 13:48:36 +0000 (UTC)
Received: from smtp.gentoo.org (smtp.gentoo.org [140.211.166.183])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id E9558E0891
	for <gentoo-commits@lists.gentoo.org>; Sun, 30 Aug 2020 13:48:35 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 54D6533BED9
	for <gentoo-commits@lists.gentoo.org>; Sun, 30 Aug 2020 13:48:31 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id C8499324
	for <gentoo-commits@lists.gentoo.org>; Sun, 30 Aug 2020 13:48:29 +0000 (UTC)
From: "Andrey Utkin" <andrey_utkin@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Andrey Utkin" <andrey_utkin@gentoo.org>
Message-ID: <1598795273.e5c49e2699aa52e7b89956a63f970828a8f0e370.andrey_utkin@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/vobject/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-python/vobject/vobject-0.9.6.1-r2.ebuild
X-VCS-Directories: dev-python/vobject/
X-VCS-Committer: andrey_utkin
X-VCS-Committer-Name: Andrey Utkin
X-VCS-Revision: e5c49e2699aa52e7b89956a63f970828a8f0e370
X-VCS-Branch: master
Date: Sun, 30 Aug 2020 13:48:29 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: 26b8fa88-eccc-47ea-b30d-1df3c4565dcc
X-Archives-Hash: 54d16733d5715b561c19c7e69177ce61

commit:     e5c49e2699aa52e7b89956a63f970828a8f0e370
Author:     Nils Freydank <nils.freydank <AT> posteo <DOT> de>
AuthorDate: Sat Aug 15 12:57:00 2020 +0000
Commit:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
CommitDate: Sun Aug 30 13:47:53 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5c49e26

dev-python/vobject: Add support for python3_9

Package-Manager: Portage-3.0.2, Repoman-2.3.23
Signed-off-by: Nils Freydank <holgersson <AT> posteo.de>
Signed-off-by: Andrey Utkin <andrey_utkin <AT> gentoo.org>

 dev-python/vobject/vobject-0.9.6.1-r2.ebuild | 30 ++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/dev-python/vobject/vobject-0.9.6.1-r2.ebuild b/dev-python/vobject/vobject-0.9.6.1-r2.ebuild
new file mode 100644
index 00000000000..ce291e2f41a
--- /dev/null
+++ b/dev-python/vobject/vobject-0.9.6.1-r2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Python package for parsing and generating vCard and vCalendar files"
+HOMEPAGE="https://eventable.github.io/vobject/
+	https://pypi.org/project/vobject/
+	https://github.com/eventable/vobject"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND=">=dev-python/python-dateutil-2.4.0[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+DOCS=( ACKNOWLEDGEMENTS.txt README.md )
+
+python_test() {
+	"${EPYTHON}" tests.py || die "Testing failed under ${EPYTHON}"
+}